<?php
class Database {
    private $host = 'localhost';
    private $db_name = 'ips_db';
    private $username = 'root';
    private $password = '';
    private $port = 3306;// Database port
    public $conn;
    // private $host = 'mysql-194440-0.cloudclusters.net';      // Database host
    // private $db_name = 'ips_db'; // Your database name
    // private $username = 'ips_user';// Database username
    // private $password = 'IPS@12345$';// Database password
    // private $port = 10001;// Database port

    public function getConnection() {
        $this->conn = null;
        try {
            $dsn = "mysql:host=" . $this->host . ";port=" . $this->port . ";dbname=" . $this->db_name;
            $this->conn = new PDO($dsn, $this->username, $this->password);
            $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch(PDOException $exception) {
            echo "Connection error: " . $exception->getMessage();
        }
        return $this->conn;
    }
}
?>